import Vue from 'vue'
import App from './App'
import store from './store' // store
import plugins from './plugins' // plugins

import './permission' // permission
import uView from '@/uni_modules/uview-ui'
import {getDicts} from "@/api/wms/materRequisitiontask";
import {getConfigKey} from "@/api/wms/materRequisitiontask";



Vue.use(plugins)
Vue.use(uView)



// 如此配置即可
// uni.$u.config.unit = 'rpx'
Vue.config.productionTip = false
Vue.prototype.$store = store
Vue.prototype.getDicts = getDicts
Vue.prototype.getConfigKey = getConfigKey

App.mpType = 'app'

const app = new Vue({
	...App
})

app.$mount()